# 查询运费模版
# 接口调用请求说明
http请求方式:POST
https://api.weixin.qq.com/product/delivery/get_freight_template?access_token=xxxxxxxxx
# 请求参数示例
{
}
# 回包示例
{
"errcode" : 0,
"errcode" : "",
"template_list":
[
{
"template_id":11846,
"name":"新疆西藏不包邮",
"valuation_type":1,
"send_time":7,
"address_info":
{
"province_name":"北京市",
"city_name":"北京市",
"county_name":"东城区"
},
"delivery_type":1,
"delivery_id":[""],
"shipping_method":2,
"all_condition_free_detail":
{
"condition_free_detail_list":
[
{
"address_infos":
[
{
"province_name":"安徽省",
"city_name":"马鞍山市",
"county_name":""
}
],
"min_weight":1,
"min_amount":100,
"valuation_flag":1,
"amount_flag":1
}
]
},
"all_freight_calc_method":
{
"freight_calc_method_list":
[
{
"address_info":
[
{
"province_name":"新疆维吾尔自治区"
},
{
"province_name":"西藏自治区"
}
],
"is_default":false,
"first_val_amount":1,
"first_price":1000,
"second_val_amount":1,
"second_price":800
}
]
},
"create_time":1594968424,
"update_time":1594968424,
"is_default":0,
"not_send_area":
{
"address_info":[]
}
}
]
}
# 请求参数说明
| 参数 | 类型 | 是否必填 | 说明 |
|---|
# 回包参数说明
| 参数 | 类型 | 说明 |
|---|---|---|
| errcode | string | 错误码 |
| errmsg | string | 错误信息 |
| template_list[].template_id | number | 运费模版ID |
| template_list[].name | string | 运费模版名字 |
| template_list[].valuation_type | nunber | 计费方式 |
| template_list[].send_time | number | 发货时间 |
| template_list[].address_info | object | 发货地址 |
| template_list[].delivery_type | number | 配送方式 |
| template_list[].delivery_id[] | array | 快递公司列表 |
| template_list[].shipping_method | number | 是否包邮 |
| template_list[].all_condition_free_detail | object | 条件包邮详情 |
| template_list[].all_freight_calc_method | object | 指定地区具体计费方法 |
| template_list[].create_time | number | 创建时间 |
| template_list[].update_time | number | 更新时间 |
| template_list[].is_default | number | 是否为默认模版 |
| template_list[].not_send_area | object | 不发货地区 |
# object-address_info
| 参数 | 类型 | 说明 |
|---|---|---|
| province_name | string | 省份 |
| city_name | string | 城市 |
| county_name | string | 区县 |
# object-all_condition_free_detail
| 参数 | 类型 | 说明 |
|---|---|---|
| condition_free_detail_list[].address_infos | object | 包邮地区,同address_info |
| condition_free_detail_list[].min_piece | number | 包邮最低件数 |
| condition_free_detail_list[].min_weight | number | 包邮最低重量 |
| condition_free_detail_list[].min_amount | number | 包邮最低金额 |
| condition_free_detail_list[].valuation_flag | number | 计费方式对应选项是否已经设置 |
| condition_free_detail_list[].amount_flag | number | 金额是否设置 |
# object-all_freight_calc_method
| 参数 | 类型 | 说明 |
|---|---|---|
| freight_calc_method_list[].address_info | object | 指定地区,同address_info |
| freight_calc_method_list[].is_default | number | 是否为默认运费 |
| freight_calc_method_list[].delivery_id | string | 快递公司 |
| freight_calc_method_list[].first_val_amount | number | 首段运费满足重量,单位kg |
| freight_calc_method_list[].first_price | number | 首段运费的金额,单位分 |
| freight_calc_method_list[].second_val_amount | number | 续费单位重量,单位kg |
| freight_calc_method_list[].second_price | number | 续费每单位增加金额,单位分 |
# object-not_send_area
| 参数 | 类型 | 说明 |
|---|---|---|
| address_info | object | 不发货地区,同address_info |
# 枚举值-valuation_type
| 枚举值 | 描述 |
|---|---|
| 1 | 按件 |
| 2 | 按重量 |
# 枚举值-send_time
| 枚举值 | 描述 |
|---|---|
| 1 | 4小时 |
| 2 | 8小时 |
| 3 | 12小时 |
| 4 | 16小时 |
| 5 | 20小时 |
| 6 | 24小时 |
| 7 | 48小时 |
| 8 | 3天 |
| 9 | 5天 |
| 10 | 7天 |
| 11 | 10天 |
| 12 | 12天 |
| 13 | 14天 |
| 14 | 16天 |
| 15 | 20天 |
| 16 | 25天 |
| 17 | 30天 |
| 18 | 35天 |
| 19 | 45天 |
# 枚举值-delivery_type
| 枚举值 | 描述 |
|---|---|
| 1 | 快递 |
# 枚举值-shipping_method
| 枚举值 | 描述 |
|---|---|
| 1 | 包邮 |
| 2 | 条件包邮 |
| 3 | 不包邮 |
# 返回码
| 返回码 | 错误类型 |
|---|---|
| -1 | 系统异常 |
| -2 | token太长 |